#pragma once

#include "Effect.h"
#include "prototypes.h"
#include "my_fastled.h"
#include "Animation.h"

class AnimationEffect : public Effect {
private:
    Animation *animation;
    CRGB *bg_color;
    uint16_t xOffset;
    uint16_t yOffset;
public:
    AnimationEffect(const char* name) : AnimationEffect(name, new CRGB(0x000000), 0, 0) {}
    AnimationEffect(const char* name, CRGB* background_color) : AnimationEffect(name, background_color, 0, 0) {}
    AnimationEffect(const char* name, CRGB* bg_color, int x, int y);
    ~AnimationEffect();
    void loop();
};
